@import "./../../../../../../../styles.scss";

.ImagenPrincipal {
  @extend .rounded-circle;
  @extend .img-thumbnail;
  width: 128px;
  height: 128px;
}

.ImagenDocumento {
  @extend .img-fluid;
  @extend .text-center;
  height: 48px;
  width: 48px;
}

.Tarjeta {
  @extend .card;
  @extend .h-100;
  @extend .shadow-sm;

  &--Cuerpo {
    @extend .card-body;

    &[Borde="primary"] {
      @extend .border-left-primary;
    }

    &[Borde="secondary"] {
      @extend .border-left-secondary;
    }

    &[Borde="danger"] {
      @extend .border-left-danger;
    }

    &[Borde="success"] {
      @extend .border-left-success;
    }

    &-Fila {
      @extend .row;
      @extend .no-gutters;

      &[Alineacion="center"] {
        @extend .align-items-center;
      }
    }
  }

  &--Separador {
    border-bottom: 1px solid #e9ecef;
  }

  &--Texto {
    @extend .text-xs;
    @extend .d-flex;
    @extend .justify-content-between;

    &-Titulo {
      @extend .font-weight-bold;
      @extend .mr-4;

      &[Color="primary"] {
        @extend .text-primary;
      }

      &[Color="secondary"] {
        @extend .text-secondary;
      }

      &[Color="danger"] {
        @extend .text-danger;
      }

      &[Color="success"] {
        @extend .text-success;
      }
    }

    &-Contenido {
      @extend .text-gray-800;
      @extend .text-right;
    }
  }
}

.TarjetaTelefono {
  @extend .row;
  @extend .no-gutters;
  @extend .align-items-center;
  @extend .pt-3;
  @extend .pb-3;
  border-bottom: 2px solid #e9ecef;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;

  &--ColIcono {
    @extend .col-auto;
  }

  &--ColTexto {
    @extend .col;
    &-Texto {
      @extend .h6;
      @extend .text-gray-800;
    }
  }

  &--ColBoton {
    @extend .col-auto;
  }
}

.TarjetaCorreo {
  @extend .row;
  @extend .no-gutters;
  @extend .align-items-center;
  @extend .pt-3;
  @extend .pb-3;
  border-bottom: 2px solid #e9ecef;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;

  &--ColIcono {
    @extend .col-auto;
  }

  &--ColTexto {
    @extend .col;
    &-Texto {
      @extend .h6;
      @extend .text-gray-800;
    }
  }

  &--ColBoton {
    @extend .col-auto;
  }
}

.TarjetaDocumentos {
  @extend .row;
  @extend .no-gutters;
  @extend .align-items-center;
  @extend .pt-3;
  @extend .pb-3;
  border-bottom: 2px solid #e9ecef;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;

  &--ColIcono {
    @extend .col-auto;
  }

  &--ColTexto {
    @extend .col;
    &-Texto {
      @extend .h6;
      @extend .text-gray-800;
    }
  }
}
